Merchant Registration

List of Merchant onboarded through the Merchant Onboarding APIs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
X-Ipay-Outlet-IpStringMerchant's unique Identification numberMN

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
referenceKeyStringMCan be obtained from the response of MErchant biometric ekyc status API

Request Parameters

POST https://api.instantpay.in/user/outlet/register
X-Ipay-Endpoint-Ip: {{endpointIP}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
X-Ipay-Outlet-Id:{{outletId}}

{
    "referenceKey":"{{referenceKeyRegistration}}" // Can be obtained from the response of merchant biometric ekyc status API
}
POST /user/outlet/register HTTP/1.1
Host: api.instantpay.in
Accept: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Outlet-Id: {{OutletId}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json



{
    "referenceKey":"{{referenceKeyRegistration}}" // this reference key associated with referenceKeyType of OutletRegistration
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
"statuscode": "OTP",
    "actcode": null,
    "status": "OTP Successfully sent",
    "data": {
        "referenceKeyType": "OutletRegistrationVerify",
        "validity": "2026-09-11 12:28:09",
        "referenceKey": "vixft092fVQQGULpdXCZqL33fk81vfB9DshypoeFvBtY30Y5PdpRqdyMWRCsFyGQs23Nj2XJL8fm+U2ar5STbw==.v1.ef1597bch000a2b7f4e5bf7e4019a4cc18bc6ce18a20"
    },
    "timestamp": "2026-09-11 12:25:14",
    "ipay_uuid": "h000a2b7f4e5-bf7e-4019-a4cc-18bc6ce18a20-qdMaNvXMBl3Z"
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json